### Virtual Method

# Ide Object repr

#### Declaration

    gchar*
    repr (
      IdeObject* self
    )

#### Description

This function is similar to Python’s `repr()` which gives a string representation for the object. It is useful when debugging Builder or when writing plugins.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string containing the string representation of the `IdeObject`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.